org.bouncycastle.openpgp

## Class PGPEncryptedDataList

- java.lang.Object
- - org.bouncycastle.openpgp.PGPEncryptedDataList

    public class PGPEncryptedDataList
    extends java.lang.Object

A holder for a list of PGP encryption method packets.

### Constructor Summary

Constructors
Constructor and Description
`PGPEncryptedDataList(BCPGInputStream pIn)`

### Method Summary

Methods
`java.lang.Object` `get(int index)`
`java.util.Iterator` `getEncryptedDataObjects()`
`java.util.Iterator` `getEncyptedDataObjects()` Deprecated. misspelt - use getEncryptedDataObjects()
`boolean` `isEmpty()`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PGPEncryptedDataList

    public PGPEncryptedDataList(BCPGInputStream pIn)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### get

    public java.lang.Object get(int index)

#### size

    public int size()

#### isEmpty

    public boolean isEmpty()

#### getEncyptedDataObjects

    public java.util.Iterator getEncyptedDataObjects()

Deprecated. misspelt - use getEncryptedDataObjects()

#### getEncryptedDataObjects

    public java.util.Iterator getEncryptedDataObjects()